{
  "private": true,
  "packageManager": "pnpm@8.6.0",
  "scripts": {
    "build": "vite build",
    "dev": "vite --port 3433 --open",
    "lint": "eslint .",
    "typecheck": "vue-tsc --noEmit",
    "preview": "vite preview",
    "test": "vitest",
    "up": "taze major -I",
    "postinstall": "npx simple-git-hooks"
  },
  "dependencies": {
    "@vueuse/core": "^10.11.1",
    "axios": "^1.7.9",
    "element-plus": "^2.9.1",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^0.39.8",
    "@iconify-json/carbon": "^1.2.5",
    "@iconify/json": "^2.2.288",
    "@types/node": "^20.17.10",
    "@unocss/eslint-config": "^0.53.6",
    "@unocss/reset": "^0.53.6",
    "@vitejs/plugin-vue": "^4.6.2",
    "@vue-macros/volar": "^0.10.2",
    "@vue/test-utils": "^2.4.6",
    "eslint": "^8.57.1",
    "jsdom": "^22.1.0",
    "lint-staged": "^13.3.0",
    "pnpm": "^8.15.9",
    "sass": "^1.83.0",
    "simple-git-hooks": "^2.11.1",
    "taze": "^0.10.3",
    "typescript": "^5.7.2",
    "unocss": "^0.53.6",
    "unplugin-auto-import": "^0.16.7",
    "unplugin-icons": "^0.17.4",
    "unplugin-vue-components": "^0.25.2",
    "unplugin-vue-macros": "^2.13.6",
    "vite": "^4.5.5",
    "vite-plugin-pages": "^0.31.0",
    "vitest": "^0.31.4",
    "vue-tsc": "^1.8.27"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged"
  },
  "lint-staged": {
    "*": ""
  },
  "eslintConfig": {
    "extends": [
      "@antfu",
      "@unocss"
    ]
  }
}
